be.ehealth.technicalconnector.session.renew

## Class SlidingWindowRenewStrategy

- java.lang.Object
- - be.ehealth.technicalconnector.session.renew.AbstractRenewStrategy
  - - be.ehealth.technicalconnector.session.renew.SlidingWindowRenewStrategy

- All Implemented Interfaces:
    RenewStrategy, SessionServiceWithCache

      public class SlidingWindowRenewStrategy
      extends AbstractRenewStrategy

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SLIDING_WINDOW_DIVIDER` Default value: 2
    `static String` | `SLIDING_WINDOW_SKIP_THRESHOLD` Default value: 100

    - ### Fields inherited from interface be.ehealth.technicalconnector.session.renew.RenewStrategy

      `DEFAULT_VALIDITY_TOKEN, PROP_AUTO_RENEW, PROP_VALIDITY_TOKEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlidingWindowRenewStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flushCache()` Method to flush the cache after invoking this method.
    `void` | `renew(SessionItem session)`

    - ### Methods inherited from class be.ehealth.technicalconnector.session.renew.AbstractRenewStrategy

      `getCacheServices, register`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SLIDING_WINDOW_SKIP_THRESHOLD

          public static final String SLIDING_WINDOW_SKIP_THRESHOLD

      Default value: 100
      See Also:
        Constant Field Values

    - #### SLIDING_WINDOW_DIVIDER

          public static final String SLIDING_WINDOW_DIVIDER

      Default value: 2
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SlidingWindowRenewStrategy

          public SlidingWindowRenewStrategy()

  - ### Method Detail

    - #### renew

          public void renew(SessionItem session)
                     throws SessionManagementException

      Throws:
        `SessionManagementException`

    - #### flushCache

          public void flushCache()

      Description copied from interface: `SessionServiceWithCache`
      Method to flush the cache after invoking this method.
      Specified by:
        `flushCache` in interface `SessionServiceWithCache`
      Overrides:
        `flushCache` in class `AbstractRenewStrategy`

Connector Package PERSMIDWIFE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.